Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network58.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
58.0.0.0
Broadcast address
58.127.255.255
First usable
58.0.0.1
Last usable
58.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 3A000000 · Integer 973078528 to 981467135
Reverse DNS zones
0.58.in-addr.arpa
1.58.in-addr.arpa
2.58.in-addr.arpa
3.58.in-addr.arpa
4.58.in-addr.arpa
5.58.in-addr.arpa
6.58.in-addr.arpa
7.58.in-addr.arpa
8.58.in-addr.arpa
9.58.in-addr.arpa
10.58.in-addr.arpa
11.58.in-addr.arpa
12.58.in-addr.arpa
13.58.in-addr.arpa
14.58.in-addr.arpa
15.58.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111010.00000000.00000000.0000000058.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00111010.00000000.00000000.0000000058.0.0.0
Broadcast00111010.01111111.11111111.1111111158.127.255.255
Split into smaller subnets/21

58.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
158.0.0.0/2158.0.0.1 to 58.0.7.25458.0.7.2552,046
258.0.8.0/2158.0.8.1 to 58.0.15.25458.0.15.2552,046
358.0.16.0/2158.0.16.1 to 58.0.23.25458.0.23.2552,046
458.0.24.0/2158.0.24.1 to 58.0.31.25458.0.31.2552,046
558.0.32.0/2158.0.32.1 to 58.0.39.25458.0.39.2552,046
658.0.40.0/2158.0.40.1 to 58.0.47.25458.0.47.2552,046
758.0.48.0/2158.0.48.1 to 58.0.55.25458.0.55.2552,046
858.0.56.0/2158.0.56.1 to 58.0.63.25458.0.63.2552,046
958.0.64.0/2158.0.64.1 to 58.0.71.25458.0.71.2552,046
1058.0.72.0/2158.0.72.1 to 58.0.79.25458.0.79.2552,046
1158.0.80.0/2158.0.80.1 to 58.0.87.25458.0.87.2552,046
1258.0.88.0/2158.0.88.1 to 58.0.95.25458.0.95.2552,046
1358.0.96.0/2158.0.96.1 to 58.0.103.25458.0.103.2552,046
1458.0.104.0/2158.0.104.1 to 58.0.111.25458.0.111.2552,046
1558.0.112.0/2158.0.112.1 to 58.0.119.25458.0.119.2552,046
1658.0.120.0/2158.0.120.1 to 58.0.127.25458.0.127.2552,046
1758.0.128.0/2158.0.128.1 to 58.0.135.25458.0.135.2552,046
1858.0.136.0/2158.0.136.1 to 58.0.143.25458.0.143.2552,046
1958.0.144.0/2158.0.144.1 to 58.0.151.25458.0.151.2552,046
2058.0.152.0/2158.0.152.1 to 58.0.159.25458.0.159.2552,046
2158.0.160.0/2158.0.160.1 to 58.0.167.25458.0.167.2552,046
2258.0.168.0/2158.0.168.1 to 58.0.175.25458.0.175.2552,046
2358.0.176.0/2158.0.176.1 to 58.0.183.25458.0.183.2552,046
2458.0.184.0/2158.0.184.1 to 58.0.191.25458.0.191.2552,046
2558.0.192.0/2158.0.192.1 to 58.0.199.25458.0.199.2552,046
2658.0.200.0/2158.0.200.1 to 58.0.207.25458.0.207.2552,046
2758.0.208.0/2158.0.208.1 to 58.0.215.25458.0.215.2552,046
2858.0.216.0/2158.0.216.1 to 58.0.223.25458.0.223.2552,046
2958.0.224.0/2158.0.224.1 to 58.0.231.25458.0.231.2552,046
3058.0.232.0/2158.0.232.1 to 58.0.239.25458.0.239.2552,046
3158.0.240.0/2158.0.240.1 to 58.0.247.25458.0.247.2552,046
3258.0.248.0/2158.0.248.1 to 58.0.255.25458.0.255.2552,046
3358.1.0.0/2158.1.0.1 to 58.1.7.25458.1.7.2552,046
3458.1.8.0/2158.1.8.1 to 58.1.15.25458.1.15.2552,046
3558.1.16.0/2158.1.16.1 to 58.1.23.25458.1.23.2552,046
3658.1.24.0/2158.1.24.1 to 58.1.31.25458.1.31.2552,046
3758.1.32.0/2158.1.32.1 to 58.1.39.25458.1.39.2552,046
3858.1.40.0/2158.1.40.1 to 58.1.47.25458.1.47.2552,046
3958.1.48.0/2158.1.48.1 to 58.1.55.25458.1.55.2552,046
4058.1.56.0/2158.1.56.1 to 58.1.63.25458.1.63.2552,046
4158.1.64.0/2158.1.64.1 to 58.1.71.25458.1.71.2552,046
4258.1.72.0/2158.1.72.1 to 58.1.79.25458.1.79.2552,046
4358.1.80.0/2158.1.80.1 to 58.1.87.25458.1.87.2552,046
4458.1.88.0/2158.1.88.1 to 58.1.95.25458.1.95.2552,046
4558.1.96.0/2158.1.96.1 to 58.1.103.25458.1.103.2552,046
4658.1.104.0/2158.1.104.1 to 58.1.111.25458.1.111.2552,046
4758.1.112.0/2158.1.112.1 to 58.1.119.25458.1.119.2552,046
4858.1.120.0/2158.1.120.1 to 58.1.127.25458.1.127.2552,046
4958.1.128.0/2158.1.128.1 to 58.1.135.25458.1.135.2552,046
5058.1.136.0/2158.1.136.1 to 58.1.143.25458.1.143.2552,046
5158.1.144.0/2158.1.144.1 to 58.1.151.25458.1.151.2552,046
5258.1.152.0/2158.1.152.1 to 58.1.159.25458.1.159.2552,046
5358.1.160.0/2158.1.160.1 to 58.1.167.25458.1.167.2552,046
5458.1.168.0/2158.1.168.1 to 58.1.175.25458.1.175.2552,046
5558.1.176.0/2158.1.176.1 to 58.1.183.25458.1.183.2552,046
5658.1.184.0/2158.1.184.1 to 58.1.191.25458.1.191.2552,046
5758.1.192.0/2158.1.192.1 to 58.1.199.25458.1.199.2552,046
5858.1.200.0/2158.1.200.1 to 58.1.207.25458.1.207.2552,046
5958.1.208.0/2158.1.208.1 to 58.1.215.25458.1.215.2552,046
6058.1.216.0/2158.1.216.1 to 58.1.223.25458.1.223.2552,046
6158.1.224.0/2158.1.224.1 to 58.1.231.25458.1.231.2552,046
6258.1.232.0/2158.1.232.1 to 58.1.239.25458.1.239.2552,046
6358.1.240.0/2158.1.240.1 to 58.1.247.25458.1.247.2552,046
6458.1.248.0/2158.1.248.1 to 58.1.255.25458.1.255.2552,046
6558.2.0.0/2158.2.0.1 to 58.2.7.25458.2.7.2552,046
6658.2.8.0/2158.2.8.1 to 58.2.15.25458.2.15.2552,046
6758.2.16.0/2158.2.16.1 to 58.2.23.25458.2.23.2552,046
6858.2.24.0/2158.2.24.1 to 58.2.31.25458.2.31.2552,046
6958.2.32.0/2158.2.32.1 to 58.2.39.25458.2.39.2552,046
7058.2.40.0/2158.2.40.1 to 58.2.47.25458.2.47.2552,046
7158.2.48.0/2158.2.48.1 to 58.2.55.25458.2.55.2552,046
7258.2.56.0/2158.2.56.1 to 58.2.63.25458.2.63.2552,046
7358.2.64.0/2158.2.64.1 to 58.2.71.25458.2.71.2552,046
7458.2.72.0/2158.2.72.1 to 58.2.79.25458.2.79.2552,046
7558.2.80.0/2158.2.80.1 to 58.2.87.25458.2.87.2552,046
7658.2.88.0/2158.2.88.1 to 58.2.95.25458.2.95.2552,046
7758.2.96.0/2158.2.96.1 to 58.2.103.25458.2.103.2552,046
7858.2.104.0/2158.2.104.1 to 58.2.111.25458.2.111.2552,046
7958.2.112.0/2158.2.112.1 to 58.2.119.25458.2.119.2552,046
8058.2.120.0/2158.2.120.1 to 58.2.127.25458.2.127.2552,046
8158.2.128.0/2158.2.128.1 to 58.2.135.25458.2.135.2552,046
8258.2.136.0/2158.2.136.1 to 58.2.143.25458.2.143.2552,046
8358.2.144.0/2158.2.144.1 to 58.2.151.25458.2.151.2552,046
8458.2.152.0/2158.2.152.1 to 58.2.159.25458.2.159.2552,046
8558.2.160.0/2158.2.160.1 to 58.2.167.25458.2.167.2552,046
8658.2.168.0/2158.2.168.1 to 58.2.175.25458.2.175.2552,046
8758.2.176.0/2158.2.176.1 to 58.2.183.25458.2.183.2552,046
8858.2.184.0/2158.2.184.1 to 58.2.191.25458.2.191.2552,046
8958.2.192.0/2158.2.192.1 to 58.2.199.25458.2.199.2552,046
9058.2.200.0/2158.2.200.1 to 58.2.207.25458.2.207.2552,046
9158.2.208.0/2158.2.208.1 to 58.2.215.25458.2.215.2552,046
9258.2.216.0/2158.2.216.1 to 58.2.223.25458.2.223.2552,046
9358.2.224.0/2158.2.224.1 to 58.2.231.25458.2.231.2552,046
9458.2.232.0/2158.2.232.1 to 58.2.239.25458.2.239.2552,046
9558.2.240.0/2158.2.240.1 to 58.2.247.25458.2.247.2552,046
9658.2.248.0/2158.2.248.1 to 58.2.255.25458.2.255.2552,046
9758.3.0.0/2158.3.0.1 to 58.3.7.25458.3.7.2552,046
9858.3.8.0/2158.3.8.1 to 58.3.15.25458.3.15.2552,046
9958.3.16.0/2158.3.16.1 to 58.3.23.25458.3.23.2552,046
10058.3.24.0/2158.3.24.1 to 58.3.31.25458.3.31.2552,046
10158.3.32.0/2158.3.32.1 to 58.3.39.25458.3.39.2552,046
10258.3.40.0/2158.3.40.1 to 58.3.47.25458.3.47.2552,046
10358.3.48.0/2158.3.48.1 to 58.3.55.25458.3.55.2552,046
10458.3.56.0/2158.3.56.1 to 58.3.63.25458.3.63.2552,046
10558.3.64.0/2158.3.64.1 to 58.3.71.25458.3.71.2552,046
10658.3.72.0/2158.3.72.1 to 58.3.79.25458.3.79.2552,046
10758.3.80.0/2158.3.80.1 to 58.3.87.25458.3.87.2552,046
10858.3.88.0/2158.3.88.1 to 58.3.95.25458.3.95.2552,046
10958.3.96.0/2158.3.96.1 to 58.3.103.25458.3.103.2552,046
11058.3.104.0/2158.3.104.1 to 58.3.111.25458.3.111.2552,046
11158.3.112.0/2158.3.112.1 to 58.3.119.25458.3.119.2552,046
11258.3.120.0/2158.3.120.1 to 58.3.127.25458.3.127.2552,046
11358.3.128.0/2158.3.128.1 to 58.3.135.25458.3.135.2552,046
11458.3.136.0/2158.3.136.1 to 58.3.143.25458.3.143.2552,046
11558.3.144.0/2158.3.144.1 to 58.3.151.25458.3.151.2552,046
11658.3.152.0/2158.3.152.1 to 58.3.159.25458.3.159.2552,046
11758.3.160.0/2158.3.160.1 to 58.3.167.25458.3.167.2552,046
11858.3.168.0/2158.3.168.1 to 58.3.175.25458.3.175.2552,046
11958.3.176.0/2158.3.176.1 to 58.3.183.25458.3.183.2552,046
12058.3.184.0/2158.3.184.1 to 58.3.191.25458.3.191.2552,046
12158.3.192.0/2158.3.192.1 to 58.3.199.25458.3.199.2552,046
12258.3.200.0/2158.3.200.1 to 58.3.207.25458.3.207.2552,046
12358.3.208.0/2158.3.208.1 to 58.3.215.25458.3.215.2552,046
12458.3.216.0/2158.3.216.1 to 58.3.223.25458.3.223.2552,046
12558.3.224.0/2158.3.224.1 to 58.3.231.25458.3.231.2552,046
12658.3.232.0/2158.3.232.1 to 58.3.239.25458.3.239.2552,046
12758.3.240.0/2158.3.240.1 to 58.3.247.25458.3.247.2552,046
12858.3.248.0/2158.3.248.1 to 58.3.255.25458.3.255.2552,046
12958.4.0.0/2158.4.0.1 to 58.4.7.25458.4.7.2552,046
13058.4.8.0/2158.4.8.1 to 58.4.15.25458.4.15.2552,046
13158.4.16.0/2158.4.16.1 to 58.4.23.25458.4.23.2552,046
13258.4.24.0/2158.4.24.1 to 58.4.31.25458.4.31.2552,046
13358.4.32.0/2158.4.32.1 to 58.4.39.25458.4.39.2552,046
13458.4.40.0/2158.4.40.1 to 58.4.47.25458.4.47.2552,046
13558.4.48.0/2158.4.48.1 to 58.4.55.25458.4.55.2552,046
13658.4.56.0/2158.4.56.1 to 58.4.63.25458.4.63.2552,046
13758.4.64.0/2158.4.64.1 to 58.4.71.25458.4.71.2552,046
13858.4.72.0/2158.4.72.1 to 58.4.79.25458.4.79.2552,046
13958.4.80.0/2158.4.80.1 to 58.4.87.25458.4.87.2552,046
14058.4.88.0/2158.4.88.1 to 58.4.95.25458.4.95.2552,046
14158.4.96.0/2158.4.96.1 to 58.4.103.25458.4.103.2552,046
14258.4.104.0/2158.4.104.1 to 58.4.111.25458.4.111.2552,046
14358.4.112.0/2158.4.112.1 to 58.4.119.25458.4.119.2552,046
14458.4.120.0/2158.4.120.1 to 58.4.127.25458.4.127.2552,046
14558.4.128.0/2158.4.128.1 to 58.4.135.25458.4.135.2552,046
14658.4.136.0/2158.4.136.1 to 58.4.143.25458.4.143.2552,046
14758.4.144.0/2158.4.144.1 to 58.4.151.25458.4.151.2552,046
14858.4.152.0/2158.4.152.1 to 58.4.159.25458.4.159.2552,046
14958.4.160.0/2158.4.160.1 to 58.4.167.25458.4.167.2552,046
15058.4.168.0/2158.4.168.1 to 58.4.175.25458.4.175.2552,046
15158.4.176.0/2158.4.176.1 to 58.4.183.25458.4.183.2552,046
15258.4.184.0/2158.4.184.1 to 58.4.191.25458.4.191.2552,046
15358.4.192.0/2158.4.192.1 to 58.4.199.25458.4.199.2552,046
15458.4.200.0/2158.4.200.1 to 58.4.207.25458.4.207.2552,046
15558.4.208.0/2158.4.208.1 to 58.4.215.25458.4.215.2552,046
15658.4.216.0/2158.4.216.1 to 58.4.223.25458.4.223.2552,046
15758.4.224.0/2158.4.224.1 to 58.4.231.25458.4.231.2552,046
15858.4.232.0/2158.4.232.1 to 58.4.239.25458.4.239.2552,046
15958.4.240.0/2158.4.240.1 to 58.4.247.25458.4.247.2552,046
16058.4.248.0/2158.4.248.1 to 58.4.255.25458.4.255.2552,046
16158.5.0.0/2158.5.0.1 to 58.5.7.25458.5.7.2552,046
16258.5.8.0/2158.5.8.1 to 58.5.15.25458.5.15.2552,046
16358.5.16.0/2158.5.16.1 to 58.5.23.25458.5.23.2552,046
16458.5.24.0/2158.5.24.1 to 58.5.31.25458.5.31.2552,046
16558.5.32.0/2158.5.32.1 to 58.5.39.25458.5.39.2552,046
16658.5.40.0/2158.5.40.1 to 58.5.47.25458.5.47.2552,046
16758.5.48.0/2158.5.48.1 to 58.5.55.25458.5.55.2552,046
16858.5.56.0/2158.5.56.1 to 58.5.63.25458.5.63.2552,046
16958.5.64.0/2158.5.64.1 to 58.5.71.25458.5.71.2552,046
17058.5.72.0/2158.5.72.1 to 58.5.79.25458.5.79.2552,046
17158.5.80.0/2158.5.80.1 to 58.5.87.25458.5.87.2552,046
17258.5.88.0/2158.5.88.1 to 58.5.95.25458.5.95.2552,046
17358.5.96.0/2158.5.96.1 to 58.5.103.25458.5.103.2552,046
17458.5.104.0/2158.5.104.1 to 58.5.111.25458.5.111.2552,046
17558.5.112.0/2158.5.112.1 to 58.5.119.25458.5.119.2552,046
17658.5.120.0/2158.5.120.1 to 58.5.127.25458.5.127.2552,046
17758.5.128.0/2158.5.128.1 to 58.5.135.25458.5.135.2552,046
17858.5.136.0/2158.5.136.1 to 58.5.143.25458.5.143.2552,046
17958.5.144.0/2158.5.144.1 to 58.5.151.25458.5.151.2552,046
18058.5.152.0/2158.5.152.1 to 58.5.159.25458.5.159.2552,046
18158.5.160.0/2158.5.160.1 to 58.5.167.25458.5.167.2552,046
18258.5.168.0/2158.5.168.1 to 58.5.175.25458.5.175.2552,046
18358.5.176.0/2158.5.176.1 to 58.5.183.25458.5.183.2552,046
18458.5.184.0/2158.5.184.1 to 58.5.191.25458.5.191.2552,046
18558.5.192.0/2158.5.192.1 to 58.5.199.25458.5.199.2552,046
18658.5.200.0/2158.5.200.1 to 58.5.207.25458.5.207.2552,046
18758.5.208.0/2158.5.208.1 to 58.5.215.25458.5.215.2552,046
18858.5.216.0/2158.5.216.1 to 58.5.223.25458.5.223.2552,046
18958.5.224.0/2158.5.224.1 to 58.5.231.25458.5.231.2552,046
19058.5.232.0/2158.5.232.1 to 58.5.239.25458.5.239.2552,046
19158.5.240.0/2158.5.240.1 to 58.5.247.25458.5.247.2552,046
19258.5.248.0/2158.5.248.1 to 58.5.255.25458.5.255.2552,046
19358.6.0.0/2158.6.0.1 to 58.6.7.25458.6.7.2552,046
19458.6.8.0/2158.6.8.1 to 58.6.15.25458.6.15.2552,046
19558.6.16.0/2158.6.16.1 to 58.6.23.25458.6.23.2552,046
19658.6.24.0/2158.6.24.1 to 58.6.31.25458.6.31.2552,046
19758.6.32.0/2158.6.32.1 to 58.6.39.25458.6.39.2552,046
19858.6.40.0/2158.6.40.1 to 58.6.47.25458.6.47.2552,046
19958.6.48.0/2158.6.48.1 to 58.6.55.25458.6.55.2552,046
20058.6.56.0/2158.6.56.1 to 58.6.63.25458.6.63.2552,046
20158.6.64.0/2158.6.64.1 to 58.6.71.25458.6.71.2552,046
20258.6.72.0/2158.6.72.1 to 58.6.79.25458.6.79.2552,046
20358.6.80.0/2158.6.80.1 to 58.6.87.25458.6.87.2552,046
20458.6.88.0/2158.6.88.1 to 58.6.95.25458.6.95.2552,046
20558.6.96.0/2158.6.96.1 to 58.6.103.25458.6.103.2552,046
20658.6.104.0/2158.6.104.1 to 58.6.111.25458.6.111.2552,046
20758.6.112.0/2158.6.112.1 to 58.6.119.25458.6.119.2552,046
20858.6.120.0/2158.6.120.1 to 58.6.127.25458.6.127.2552,046
20958.6.128.0/2158.6.128.1 to 58.6.135.25458.6.135.2552,046
21058.6.136.0/2158.6.136.1 to 58.6.143.25458.6.143.2552,046
21158.6.144.0/2158.6.144.1 to 58.6.151.25458.6.151.2552,046
21258.6.152.0/2158.6.152.1 to 58.6.159.25458.6.159.2552,046
21358.6.160.0/2158.6.160.1 to 58.6.167.25458.6.167.2552,046
21458.6.168.0/2158.6.168.1 to 58.6.175.25458.6.175.2552,046
21558.6.176.0/2158.6.176.1 to 58.6.183.25458.6.183.2552,046
21658.6.184.0/2158.6.184.1 to 58.6.191.25458.6.191.2552,046
21758.6.192.0/2158.6.192.1 to 58.6.199.25458.6.199.2552,046
21858.6.200.0/2158.6.200.1 to 58.6.207.25458.6.207.2552,046
21958.6.208.0/2158.6.208.1 to 58.6.215.25458.6.215.2552,046
22058.6.216.0/2158.6.216.1 to 58.6.223.25458.6.223.2552,046
22158.6.224.0/2158.6.224.1 to 58.6.231.25458.6.231.2552,046
22258.6.232.0/2158.6.232.1 to 58.6.239.25458.6.239.2552,046
22358.6.240.0/2158.6.240.1 to 58.6.247.25458.6.247.2552,046
22458.6.248.0/2158.6.248.1 to 58.6.255.25458.6.255.2552,046
22558.7.0.0/2158.7.0.1 to 58.7.7.25458.7.7.2552,046
22658.7.8.0/2158.7.8.1 to 58.7.15.25458.7.15.2552,046
22758.7.16.0/2158.7.16.1 to 58.7.23.25458.7.23.2552,046
22858.7.24.0/2158.7.24.1 to 58.7.31.25458.7.31.2552,046
22958.7.32.0/2158.7.32.1 to 58.7.39.25458.7.39.2552,046
23058.7.40.0/2158.7.40.1 to 58.7.47.25458.7.47.2552,046
23158.7.48.0/2158.7.48.1 to 58.7.55.25458.7.55.2552,046
23258.7.56.0/2158.7.56.1 to 58.7.63.25458.7.63.2552,046
23358.7.64.0/2158.7.64.1 to 58.7.71.25458.7.71.2552,046
23458.7.72.0/2158.7.72.1 to 58.7.79.25458.7.79.2552,046
23558.7.80.0/2158.7.80.1 to 58.7.87.25458.7.87.2552,046
23658.7.88.0/2158.7.88.1 to 58.7.95.25458.7.95.2552,046
23758.7.96.0/2158.7.96.1 to 58.7.103.25458.7.103.2552,046
23858.7.104.0/2158.7.104.1 to 58.7.111.25458.7.111.2552,046
23958.7.112.0/2158.7.112.1 to 58.7.119.25458.7.119.2552,046
24058.7.120.0/2158.7.120.1 to 58.7.127.25458.7.127.2552,046
24158.7.128.0/2158.7.128.1 to 58.7.135.25458.7.135.2552,046
24258.7.136.0/2158.7.136.1 to 58.7.143.25458.7.143.2552,046
24358.7.144.0/2158.7.144.1 to 58.7.151.25458.7.151.2552,046
24458.7.152.0/2158.7.152.1 to 58.7.159.25458.7.159.2552,046
24558.7.160.0/2158.7.160.1 to 58.7.167.25458.7.167.2552,046
24658.7.168.0/2158.7.168.1 to 58.7.175.25458.7.175.2552,046
24758.7.176.0/2158.7.176.1 to 58.7.183.25458.7.183.2552,046
24858.7.184.0/2158.7.184.1 to 58.7.191.25458.7.191.2552,046
24958.7.192.0/2158.7.192.1 to 58.7.199.25458.7.199.2552,046
25058.7.200.0/2158.7.200.1 to 58.7.207.25458.7.207.2552,046
25158.7.208.0/2158.7.208.1 to 58.7.215.25458.7.215.2552,046
25258.7.216.0/2158.7.216.1 to 58.7.223.25458.7.223.2552,046
25358.7.224.0/2158.7.224.1 to 58.7.231.25458.7.231.2552,046
25458.7.232.0/2158.7.232.1 to 58.7.239.25458.7.239.2552,046
25558.7.240.0/2158.7.240.1 to 58.7.247.25458.7.247.2552,046
25658.7.248.0/2158.7.248.1 to 58.7.255.25458.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses